Subject: bug#77005: closed (Re: bug#77005: 31.0.50; Add note about font-lock-keywords-case-fold-search usage)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Mar 2025 12:40:07 +0000

Your bug report

#77005: 31.0.50; Add note about font-lock-keywords-case-fold-search usage

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77005: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77005
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77005: 31.0.50; Add note about font-lock-keywords-case-fold-search usage
From: Eli Zaretskii <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 17 Mar 2025 14:39:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 16 Mar 2025 14:24:07 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Elijah Gabe Pérez <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sat, 15 Mar 2025 12:57:45 -0600
> >>
> >>  My idea is to add a kind of note to font-lock-keywords-case-fold-search documentation in lispref
> >>  tex file to avoid any confusion that this can be used in minor modes.
> >>
> >>  I wonder why is this necessary. Minor modes are not supposed to affect font-lock in the first place, are
> >>  they?
> >>
> >> Right, they should not, however for case-insensitive fontification this can lead to newcomer users that wants
> >> to define a minor mode (such as for highlight something) use this variable.
> >>
> >> Otherwise this bug could already be closed.
> >
> > Stefan, WDYT?
> 
> I'd tend to agree with Eli.

Thanks, closing.

Subject: 31.0.50; Add note about font-lock-keywords-case-fold-search usage
From: Elijah Gabe Pérez <[email-masked]>
To: [email-masked]
Date: Thu, 13 Mar 2025 23:41:53 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I have seen that font-lock-keywords-case-fold-search is more preferably
used by major modes than minor modes.

However, I have not found a note in documentation that says where to use
it.

Shouldn't a note be added to the documentation about this?

-- 
                              - E.G via GNU Emacs and Org.